## allelecount 4.3.0

=== c/Makefile ===
VERSION=$(shell perl -I../perl/lib -MSanger::CGP::AlleleCount -e 'print Sanger::CGP::AlleleCount->VERSION;')

#Compiler
CC = gcc -O3 -DALLELECOUNTER_VERSION='"$(VERSION)"'

#compiler flags
# -g adds debug info to the executable file
# -Wall turns on most warnings from compiler
CFLAGS = -g -Wall

#Location of samtools/htslib libraries
HTSLOC?=$(HTSLIB)

HTSTMP?=./htslib_tmp
prefix?=/usr/local/

#Define locations of header files
OPTINC?=-I$(HTSLOC)/
INCLUDES= -Isrc/ $(OPTINC) -rdynamic

JOIN_INCLUDES= -I$(prefix)/include
CAT_LFLAGS= -L$(prefix)/lib

# define library paths in addition to /usr/lib
#   if I wanted to include libraries not in /usr/lib I'd specify
#   their path using -Lpath, something like:
LFLAGS?= -L$(HTSTMP)

# define any libraries to link into executable:
#   if I want to link in libraries (libx.so or libx.a) I use the -llibname
#   option, something like (this will link in libmylib.so and libm.so:
LIBS=-lhts -lpthread -lz -lbz2 -llzma -lm -ldl

# define the C source files
SRCS=./src/bam_access.c

#Define test sources
TEST_SRC=$(wildcard ./tests/*_tests.c)
TESTS=$(patsubst %.c,%,$(TEST_SRC))

# define the C object files
#
# This uses Suffix Replacement within a macro:
#   $(name:string1=string2)
#         For each word in 'name' replace 'string1' with 'string2'
# Below we are replacing the suffix .c of all words in the macro SRCS
# with the .o suffix
#
MD := mkdir -p

OBJS = $(SRCS:.c=.o)

#Build target executable
COUNTER_TARGET=./bin/alleleCounter

#
# The following part of the makefile is generic; it can be used to
# build any executable just by changing the definitions above and by
# deleting dependencies appended to the file from 'make depend'
#

.PHONY: depend clean coverage test make_htslib_tmp remove_htslib_tmp

.NOTPARALLEL: test

all: clean make_bin make_htslib_tmp $(COUNTER_TARGET) test remove_htslib_tmp
	@echo  Binaries have been compiled.

$(COUNTER_TARGET): $(OBJS)
	$(CC) $(JOIN_INCLUDES) $(INCLUDES) $(CFLAGS) -o $(COUNTER_TARGET) $(OBJS) $(LFLAGS) $(CAT_LFLAGS) $(LIBS) ./src/alleleCounter.c

#Unit Tests
test: $(COUNTER_TARGET)
test: CFLAGS += $(JOIN_INCLUDES) $(INCLUDES) $(OBJS) $(LFLAGS) $(LIBS) $(CAT_LFLAGS)
test: $(TESTS)
	sh ./tests/runtests.sh

#Unit tests with coverage
coverage: CFLAGS += --coverage
coverage: test

make_bin:
	$(MD) ./bin

make_htslib_tmp:
	$(MD) $(HTSTMP)
	#Do some magic to ensure we compile ALLELECOUNT with the static libhts.a rather than libhts.so
	ln -fs $(HTSLOC)/libhts.a $(HTSTMP)/libhts.a

remove_htslib_tmp:
	@echo remove tmp hts location
	-rm -rf $(HTSTMP)

valgrind:
	VALGRIND="valgrind --log-file=/tmp/valgrind-%p.log" $(MAKE)


# this is a suffix replacement rule for building .o's from .c's
# it uses automatic variables $<: the name of the prerequisite of
# the rule(a .c file) and $@: the name of the target of the rule (a .o file)
# (see the gnu make manual section about automatic variables)
.c.o:
	$(CC) $(CFLAGS) $(JOIN_INCLUDES) $(INCLUDES) -c $<  -o $@

clean:
	$(RM) ./src/*.o *~ $(COUNTER_TARGET) ./bin/* ./tests/tests_log $(TESTS) ./src/*.gcda ./src/*.gcov ./src/*.gcno *.gcda *.gcov *.gcno ./tests/*.gcda ./tests/*.gcov ./tests/*.gcno

depend: $(SRCS)
	makedepend $(INCLUDES) $^

# DO NOT DELETE THIS LINE -- make depend needs it

## allelecount 4.1.0

=== debian/changelog ===
allelecount (4.1.0-3) unstable; urgency=medium

  * Just use Build-Depends to enable build time testing
    Closes: #960757

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 15:27:25 +0200

allelecount (4.1.0-2) unstable; urgency=medium

  * Fix license
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 22:12:08 +0200

allelecount (4.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #960345)

 -- Andreas Tille <tille@debian.org>  Tue, 12 May 2020 11:41:31 +0200

=== debian/control ===
Source: allelecount
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Testsuite: autopkgtest-pkg-perl
Build-Depends: debhelper-compat (= 12),
               libhts-dev,
               libbz2-dev,
               libconst-fast-perl <!nocheck>,
               libdevel-cover-perl <!nocheck>,
               libfile-slurp-perl <!nocheck>,
               libfile-which-perl <!nocheck>,
               libipc-system-simple-perl <!nocheck>,
               libpod-coverage-perl <!nocheck>,
               libtest-fatal-perl (>= 0.013) <!nocheck>,
               libtry-tiny-perl <!nocheck>,
               perl
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/allelecount
Vcs-Git: https://salsa.debian.org/med-team/allelecount.git
Homepage: https://github.com/cancerit/alleleCount
Rules-Requires-Root: no

Package: allelecount
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: NGS copy number algorithms
 Support code for NGS copy number algorithms. Takes a file of locations
 and a [cr|b]am file and generates a count of coverage of each allele
 [ACGT] at that location (given any filter settings).
 .
 The alleleCount package primarily exists to prevent code duplication
 between some other projects, specifically AscatNGS and Battenberg.

Package: liballelecount-perl
Architecture: all
Section: perl
Depends: ${misc:Depends},
         ${perl:Depends},
         libconst-fast-perl,
         libdevel-cover-perl,
         libfile-slurp-perl,
         libfile-which-perl,
         libipc-system-simple-perl,
         libpod-coverage-perl,
         libtest-fatal-perl (>= 0.013),
         libtry-tiny-perl
Description: Perl interface to NGS copy number algorithms
 Support code for NGS copy number algorithms. Takes a file of locations
 and a [cr|b]am file and generates a count of coverage of each allele
 [ACGT] at that location (given any filter settings).
 .
 The alleleCount package primarily exists to prevent code duplication
 between some other projects, specifically AscatNGS and Battenberg.
 .
 This package provided the Perl interface to alleleCounter providing
 Sanger::CGP::AlleleCount::Genotype.

## allelecount 4.2.0

=== debian/changelog ===
allelecount (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add autopkgtests

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 03 Oct 2020 20:36:32 +0530

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=c
	dh_auto_clean --sourcedirectory=perl

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=c
	dh_auto_configure --sourcedirectory=perl

override_dh_auto_build:
	dh_auto_build --sourcedirectory=c
	dh_auto_build --sourcedirectory=perl

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --sourcedirectory=c
	dh_auto_test --sourcedirectory=perl
endif

override_dh_auto_install:
	dh_auto_install --sourcedirectory=c
	dh_auto_install --sourcedirectory=perl

## allelecount 4.2.1

=== debian/changelog ===
allelecount (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 21 Nov 2020 17:30:11 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Testsuite: autopkgtest-pkg-perl
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libhts-dev,
                libbz2-dev,
                libconst-fast-perl <!nocheck>,

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/cancerit/alleleCount/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## allelecount 4.3.0

=== debian/changelog ===
allelecount (4.3.0-3) unstable; urgency=medium

  * Build with make 4.4.1 (no-parallel)
  * Standards-Version: 4.7.0 (routine-update)
  * Update lintian override info format in
    d/liballelecount-perl.lintian-overrides on line 2.
  * Fix d/copyright (thanks to lrc)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Dec 2024 17:19:18 +0100

allelecount (4.3.0-2) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Sep 2022 13:13:15 +0200

allelecount (4.3.0-1.1) unstable; urgency=medium

  [ Andreas Tille ]
  * Non-maintainer upload.
  * Propagate hardening flags

  [ Nilesh Patra ]
  * Add libjson-perl to Depends (fixes debci)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 07 Oct 2021 16:42:55 +0530

allelecount (4.3.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Build-Depends: libjson-perl

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 09:53:57 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                libfile-slurp-perl <!nocheck>,
                libfile-which-perl <!nocheck>,
                libipc-system-simple-perl <!nocheck>,
+               libjson-perl <!nocheck>,
                libpod-coverage-perl <!nocheck>,
-               libtest-fatal-perl (>= 0.013) <!nocheck>,
+               libtest-fatal-perl <!nocheck>,
                libtry-tiny-perl <!nocheck>,
                perl
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/allelecount
 Vcs-Git: https://salsa.debian.org/med-team/allelecount.git
 Homepage: https://github.com/cancerit/alleleCount
@@ -45,8 +46,9 @@
          libfile-which-perl,
          libipc-system-simple-perl,
          libpod-coverage-perl,
-         libtest-fatal-perl (>= 0.013),
-         libtry-tiny-perl
+         libtest-fatal-perl,
+         libtry-tiny-perl,
+         libjson-perl
 Description: Perl interface to NGS copy number algorithms
  Support code for NGS copy number algorithms. Takes a file of locations
  and a [cr|b]am file and generates a count of coverage of each allele

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh_auto_configure --sourcedirectory=perl
 
 override_dh_auto_build:
-	dh_auto_build --sourcedirectory=c
+	dh_auto_build --sourcedirectory=c --no-parallel
 	dh_auto_build --sourcedirectory=perl
 
 override_dh_auto_test:

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/cancerit/alleleCount/tags .*/v?@ANY_VERSION@\.tar\.gz
